### Function

# Gimp images_popup

#### Declaration [src]

    gboolean
    gimp_images_popup (
      const gchar* callback,
      const gchar* popup_title,
      GimpImage* initial_image,
      GBytes* parent_window
    )

#### Description [src]

Invokes the image selection dialog.

Opens a dialog letting a user choose an image.

#### Parameters

`callback`

  Type: `const gchar*`

  The callback PDB proc to call when user chooses an image.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`popup_title`

  Type: `const gchar*`

  Title of the image selection dialog.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`initial_image`

  Type: `GimpImage`

  The image to set as the initial choice.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`parent_window`

  Type: `GBytes`

  An optional parent window handle for the popup to be set transient to.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

TRUE on success.